#root {
    width: 100%;
    min-height: 100vh;
    text-align: start;
}

.layout {
    max-width: 1390px;
    min-height: 100vh;
    display: flex;
    margin: 0 auto;
}

.layout__header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding-inline: 32px;
    width: 100%;
    height: 68px;
    background-color: var(--bg);
    border: 0 none;
    border-radius: 0 0 20px 20px;
    box-shadow: 0 2px 4px #8f8fb712, 0 7px 7px #8f8fb70f, 0 15px 9px #8f8fb70a, 0 27px 11px #8f8fb703, 0 42px 12px transparent;

    .layout__header__title {
        font-size: 24px;
        color: var(--dark);
    }
}

.layout__content {
    flex: 1;
}
.text-dark-violet{
    color: var(--dark-violet);
}

.page{
    margin: 20px 32px;
}

.page--auth {
    width: 100%;
    height: 100vh;
    min-height: 700px;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow-y: auto;
    flex-direction: column;
}

.page--home {
    display: flex;
    flex-wrap: wrap;
    grid-template-columns: repeat(12, minmax(0, 1fr));
    gap: 20px;
}
.page--home__info-boxes{
    display: flex;
    gap: 20px;
    flex-direction: column;
}

.auth {
    flex: 1;
}

.change-lang {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    margin-bottom: 30px;

    .btn {
        border: none;
        background: transparent;
        color: rgba(53, 54, 71, 0.4);
        font-size: 1.4rem;
        transform: scale(0.8);
        transition: transform 0.2s ease-out 0s, color 0.2s linear 0s;
        cursor: pointer;
        padding: 0 10px;

    }

    .btn-active {
        color: rgb(154, 101, 255);
        transform: scale(1.2);

    }
}

.layout__header__right {
    display: flex;
    gap: 16px;
}

.signout {
    align-items: center;
    align-self: stretch;
    background-color: transparent;
    display: flex;
    flex: 0 0 auto;
    justify-content: space-between;
    width: 100%;
}


.auth {
    width: 100%;
    max-width: 340px;
    display: flex;
    gap: 16px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.auth__logo {
    width: 80px;

}

.auth__header {
    font-size: 40px;
    font-weight: 400;
}

.auth__form {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 16px;

    button {
        font-size: 18px;
        color: #fff;
        font-weight: bold;
        border: 1px solid transparent;
        font-family: inherit;
        cursor: pointer;
        transition: border-color 0.25s;

        border-radius: 30px;
        padding: 10px 86px;
        background: #8d7fc7;
    }

    .remember-me {
        input[type=checkbox] {
            width: 16px;
            height: 16px;
        }

        display: flex;
        gap: 8px;
        align-items: center;
    }
}

.auth__forgot-password {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding-top: 25px;
}

.auth__footer {
    display: flex;
    flex-direction: column;
    -webkit-box-align: center;
    align-items: center;
    text-align: center;
    padding: 40px 0;
}

.page--calendar__header{
    display: flex;
    justify-content: space-between;
    margin-bottom: 30px;
}

/*=====*/
.select {
    cursor: pointer;
    align-items: center;
    background-color: var(--white);
    border: 1px solid;
    border-color: var(---gray-light);
    border-radius: 8px;
    display: flex;
    justify-content: space-between;
    overflow: hidden;
    padding: 10px 12px;
    position: relative;
    width: 253px;
}
